Package com.avaya.clientservices.call

## Class LineAppearance

- java.lang.Object
- - com.avaya.clientservices.call.LineAppearance

-     public class LineAppearance
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LineAppearance​(int lineID, boolean isBridged, java.lang.String lineOwnerAddress)` | Creates a LineAppearance object
    `LineAppearance​(int lineID, int buttonLocation, boolean isBridged, java.lang.String lineOwnerAddress)` | Creates a LineAppearance object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `getButtonLocation()` | Returns the location number of the corresponding button.
    `int` | `getLineID()` | Returns the ID of the line appearance.
    `java.lang.String` | `getLineOwnerAddress()` | Returns the extension number of the line appearance.
    `int` | `hashCode()` |
    `boolean` | `isBridged()` | Returns the bridged status of the line appearance.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LineAppearance

          public LineAppearance​(int lineID,
                                int buttonLocation,
                                boolean isBridged,
                                java.lang.String lineOwnerAddress)

      Creates a LineAppearance object
      Parameters:
        `lineID` - ID of the line appearance
        `buttonLocation` - Location number of the corresponding button.
        `isBridged` - Is this a bridged line appearance (true) or a call appearance (false).
        `lineOwnerAddress` - The extension number of the associated call appearance for a bridged line appearance.

    - #### LineAppearance

          public LineAppearance​(int lineID,
                                boolean isBridged,
                                java.lang.String lineOwnerAddress)

      Creates a LineAppearance object
      Parameters:
        `lineID` - ID of the line appearance
        `isBridged` - Is this a bridged line appearance (true) or a call appearance (false).
        `lineOwnerAddress` - The extension number of the associated call appearance for a bridged line appearance.

  - ### Method Detail

    - #### getLineID

          public int getLineID()

      Returns the ID of the line appearance.
      Returns:
        The ID of the line appearance that is provisioned on Avaya Communication Manager.

    - #### getButtonLocation

          public int getButtonLocation()

      Returns the location number of the corresponding button.
      Returns:
        The location number of the corresponding button.

    - #### isBridged

          public boolean isBridged()

      Returns the bridged status of the line appearance.
      Returns:
        Will return true if the line appearance is associated with the line appearance of another extension on the Avaya Communication Manager.

    - #### getLineOwnerAddress

          public java.lang.String getLineOwnerAddress()

      Returns the extension number of the line appearance.
      Returns:
        The extension number on Avaya Communication Manager that the line appearance is associated with.

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`